/***********************************************************************/
/*                                                                     */
/*  FILE        :Text_Demo.c                                           */
/*  DATE        :Wed, Sep 14, 2011                                     */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
                  
/*
 *  {\fvO
 *
 */
#include <stdio.h>
#include "iodefine.h"
#include "../lcdtext/graphics.h"                  
#include "../lcdtext/grphcon.h"                  
#include "../lcdtext/event.h"                  

//#include "typedefine.h"

extern void add_tick_timer();

void main(void)
{
    vb_check();

#ifdef xxx
	GRPH_SelectPlane((PIXEL *)GRA1_VRAM_BASE);
	GRPH_Initialize();
	GRPH_Clear(0);
#endif
    GCON_Initialize();
    GCON_cursor_off();
    GCON_set_color(C_WHITE, C_BLACK);
    GCON_clear();


    ICU.IER[IER_CMT0_CMI0].BIT.IEN_CMT0_CMI0 = 0;	// Disable CMIE 
    add_tick_timer();
    ICU.IER[IER_CMT0_CMI0].BIT.IEN_CMT0_CMI0 = 1;	// Enable CMIE 

    CMT.CMSTR0.BIT.STR1 = 1;	//start
    ev_init();

	/* Flush any pending events */
	while (ev_get(0)) delay_ms(2);

	while (1) {
	    GCON_clear();

	    table_viewer();
	    text_demo();
	}
}
