#ifndef __GRPHCON_H__
#define __GRPHCON_H__

/* Color definition in RGB565 */
#define	C_BLACK		0x0000
#define	C_RED		0xF800
#define	C_GREEN		0x07E0
#define	C_BLUE		0x001F
#define	C_WHITE		0xFFFF

#define	C_YELLOW	0xFFE0
#define	C_LIME		0x07E0
#define	C_AQUA		0x07FF
#define	C_FUCHSIA	0xF81F
#define	C_MAROON	0x8000
#define	C_OLIVE		0x8400
#define	C_TEAL		0x0410
#define	C_NAVY		0x0010
#define	C_PURPLE	0x8010
#define	C_GRAY		0x8410
#define	C_SILVER	0xc618

struct scinfo {
  int cols, rows;
  int col_width;
  int row_height;
};

#define	sc_cols	screen_info.cols
#define	sc_rows	screen_info.rows
#define	sc_col_width	screen_info.col_width
#define	sc_row_height	screen_info.row_height

extern struct scinfo screen_info;

/* ֐vg^Cv */

void	GCON_Initialize	( void );
void	GCON_SelectPlane( PIXEL *base );
int	GCON_locate		( int x, int y );
int	GCON_cursor_on	( void );
int	GCON_cursor_off	( void );
int	GCON_insert_line( int y );
int	GCON_delete_line( int y );
int	GCON_putc		( int c );
int	GCON_putstr		( char *s );
int	GCON_putstrL	( char *s, int len );
void	GCON_set_color(int fgcolor, int bgcolor);
void	GCON_clear (void);
void 	GCON_clear_line(int row);

/* printf֘A */
extern int t_printf(char *format, ...);
extern int t_sprintf(char *buffer, char *format, ...);
#endif
