/***********************************************************************/
/*                                                                     */
/*  FILE        :lcdset.h                                              */
/*  DESCRIPTION :LCD timing prameter                                   */
/*  CPU TYPE    :RX62N                                                 */
/*                                                                     */
/***********************************************************************/
#define PCLK	48
#define LCD_CLK	8

#ifdef OLD
#define LCD_HS	1
#define LCD_HD	320
#define LCD_HBP	38	//min 2
#define LCD_HFP	50	//min 2
#define LCD_HC	(LCD_HD+LCD_HBP+LCD_HFP)
#define LCD_VS	1
#define LCD_VD	240
#define LCD_VBP	18	//min 1
#define LCD_VFP	200	//min 1
#define LCD_VC	(LCD_VD+LCD_VBP+LCD_VFP)

#else
#define LCD_HS	30	//1
#define LCD_HD	320
#define LCD_HBP	38	//min 2
#define LCD_HFP	20	//50	//min 2
#define LCD_HC	(LCD_HD+LCD_HBP+LCD_HFP)
#define LCD_VS	3	//1
#define LCD_VD	240
#define LCD_VBP	15	//18	//min 1
#define LCD_VFP	4	//200	//min 1
#define LCD_VC	(LCD_VD+LCD_VBP+LCD_VFP)
#endif
