struct dcf_info {
    int num_dirs;	/* Total number of DCF directories */
    int num_files;	/* Total number of DCF image files */
    int findex;		/* First DCF index available in dcf_files[] */
    int nfiles;		/* files available in dcf_files */
};

struct dcf_file_info {
    char flag;		/* zero if this entry is not used */
    char pathname[28];	/* Full path name */
    int fsize;		/* File size */
    EXIF exif_info;
};

#define	DCF_BUF_SIZE	12

extern struct dcf_info dcf_info;
extern struct dcf_file_info dcf_files[DCF_BUF_SIZE];

#define	SLIDE_PERIOD	3000

void dcf_viewer();
