/************************************************************************/
/* {OtBbNX`惋[` wb_                                */
/************************************************************************/

#ifndef __GRAPHICS_H__
#define __GRAPHICS_H__


#define	LCD_WIDTH	320
#define	LCD_HEIGHT	240
#define GRA1_VRAM_BASE         __sectop("BLCD1_2")
#define GRA2_VRAM_BASE         __sectop("BLCD2_1")	


#define GRPH_width		320
#define GRPH_height		240

#define GRPH_window_width	320
#define GRPH_window_height	240

#define GRPH_clip_window_sx	0
#define GRPH_clip_window_sy	0
#define GRPH_clip_window_ex	320
#define GRPH_clip_window_ey	240
#define GRPH_clip_window_width  (GRPH_clip_window_ex - GRPH_clip_window_sx + 1)
#define GRPH_clip_window_height (GRPH_clip_window_ey - GRPH_clip_window_sy + 1)

#define GRPH_mode_32	0
#define GRPH_mode_16	1
#define GRPH_mode_8		2

#define GRPH_mode_use	GRPH_mode_16


#if   GRPH_mode_use == GRPH_mode_32
	typedef unsigned int		PIXEL;
#elif GRPH_mode_use == GRPH_mode_16
	typedef unsigned short int	PIXEL;
#elif GRPH_mode_use == GRPH_mode_8
	typedef unsigned char		PIXEL;
#endif


extern PIXEL *GRPH_Buffer;		/* t[obt@x[XAhX */

/* OtBbNX */
void GRPH_Initialize(void);

#define GRPH_SelectPlane(base)		{ GRPH_Buffer = base; }


/***** ჌xOtBbNX`֐ *****/

/* ʃNA */
void GRPH_Clear(PIXEL c);

/* _` */
void GRPH_Pset(int x, int y, PIXEL c);

/* C` */
void GRPH_Line(int sx, int sy, int ex, int ey, PIXEL c);

/* {bNX`(f1Ȃ{bNXtB) */
void GRPH_Box(int sx, int sy, int ex, int ey, PIXEL c, int f);

/* T[N`(f1ȂT[NtB) */
void GRPH_Circle(int x, int y, int rh, int rv, PIXEL c, int f);

/* yCg` */
void GRPH_Paint(int x, int y, PIXEL c);


#endif

